
# Notation and Abbreviations

## Math notation:

| Symbol | Meaning |
| --- | --- |
| $A$ | matrix |
| $\eta$ | learning rate or step size |
| $\Gamma$ | boundary of computational domain $\Omega$ |
| $f^{*}$ | generic function to be approximated, typically  unknown |
| $f$ | approximate version of $f^{*}$ |
| $\Omega$ | computational domain |
| $\mathcal P^*$ | continuous/ideal physical model |
| $\mathcal P$ | discretized physical model, PDE |
| $\theta$ | neural network params |
| $t$ | time dimension |
| $\mathbf{u}$ | vector-valued velocity |
| $x$ | neural network input or spatial coordinate |
| $y$ | neural network output |

## Summary of the most important abbreviations:

| ABbreviation | Meaning |
| --- | --- |
| CNN  | Convolutional Neural Network |
| DL   | Deep Learning |
| GD   | (steepest) Gradient Descent|
| MLP  | Multi-Layer Perceptron, a neural network with fully connected layers |
| NN   | Neural Network (a generic one, in contrast to, e.g., a CNN or MLP) |
| PDE  | Partial Differential Equation |
| PBDL | Physics-Based Deep Learning |
| SGD  | Stochastic Gradient Descent|



% test table formatting in markdown
% |    | Sentence #  | Word    | POS   | Tag   |
% |---:|:-------------|:-----------|:------|:------|
% | 1 | Sentence: 1  | They       | PRP   | O     |
% | 2 | Sentence: 1  | marched    | VBD   | O     |


